Page MenuHomePhabricator

Reducing the size of raw files
Closed, ResolvedPublic

Description

The size of raw images produced by the Whonix build process can be significantly reduced by zeroing their remaining unused space. As a result, the size of VirtualBox (.ova) and KVM (.qcow2) distributed images is greatly reduced too, shortening the download process and making their distribution easier. As a side effect, importation of ova images in VirtualBox is also much faster.

The package zerofree (available in the free Debian repositories) can be conveniently used to perform this task against the raw images (as block devices). Zeroing should occur before the conversion to .qcow2 or .vdi formats.

http://forums.whonix.org/t/reducing-size-of-ova-images

Details

Impact
Normal

Event Timeline

Patrick updated the task description. (Show Details)Apr 26 2018, 9:25 AM
Patrick added projects: VirtualBox, KVM, build.
Patrick changed Impact from Needs Triage to Normal.
Patrick triaged this task as Normal priority.
This comment was removed by Onion_Knight.
Onion_Knight added a comment.EditedApr 30 2018, 3:50 PM

virt-sparsify solution dropped because needs booting the image with qemu-system (not clean, to much unknown consequences, see attached ouptut).

Patrick closed this task as Resolved.Jun 30 2018, 12:34 PM
Patrick assigned this task to Onion_Knight.